<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>OnSive.Netflix.PersonalData: OnSive.Netflix.PersonalData.NetflixLegacyParser Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">OnSive.Netflix.PersonalData
   &#160;<span id="projectnumber">1.0.2.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">OnSive.Netflix.PersonalData.NetflixLegacyParser Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Legacy personal data properties  
 <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a55389df6422f8caf924a34aee22d6e79"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html#a55389df6422f8caf924a34aee22d6e79">NetflixLegacyParser</a> (string sZipOrExtractedPath)</td></tr>
<tr class="memdesc:a55389df6422f8caf924a34aee22d6e79"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor for the legacy personal data parser  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html#a55389df6422f8caf924a34aee22d6e79">More...</a><br /></td></tr>
<tr class="separator:a55389df6422f8caf924a34aee22d6e79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc7157f68edea533768fed4c96e4a14b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html#adc7157f68edea533768fed4c96e4a14b">Load</a> ()</td></tr>
<tr class="memdesc:adc7157f68edea533768fed4c96e4a14b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads all data into the properties  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html#adc7157f68edea533768fed4c96e4a14b">More...</a><br /></td></tr>
<tr class="separator:adc7157f68edea533768fed4c96e4a14b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad25877484f70f9b165f9ca59ef0df3d7"><td class="memItemLeft" align="right" valign="top">async Task&lt; bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html#ad25877484f70f9b165f9ca59ef0df3d7">LoadAsync</a> ()</td></tr>
<tr class="memdesc:ad25877484f70f9b165f9ca59ef0df3d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads all data into the properties  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html#ad25877484f70f9b165f9ca59ef0df3d7">More...</a><br /></td></tr>
<tr class="separator:ad25877484f70f9b165f9ca59ef0df3d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a1dde667dc79c846f41272894f7eb784c"><td class="memItemLeft" align="right" valign="top">List&lt; SocialMediaConnectionItem &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html#a1dde667dc79c846f41272894f7eb784c">SocialMediaConnections</a><code> [get]</code></td></tr>
<tr class="memdesc:a1dde667dc79c846f41272894f7eb784c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This table includes details of the records we hold regarding the Facebook account to which you may have connected to your <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> member account (if applicable, please note that this is a legacy feature).  <a href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html#a1dde667dc79c846f41272894f7eb784c">More...</a><br /></td></tr>
<tr class="separator:a1dde667dc79c846f41272894f7eb784c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Legacy personal data properties </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a55389df6422f8caf924a34aee22d6e79"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55389df6422f8caf924a34aee22d6e79">&#9670;&nbsp;</a></span>NetflixLegacyParser()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OnSive.Netflix.PersonalData.NetflixLegacyParser.NetflixLegacyParser </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>sZipOrExtractedPath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor for the legacy personal data parser </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">sZipOrExtractedPath</td><td>The patch to the the extracted zip file directory</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">PersonalDataNotFoundException</td><td>The netflix-report.zip file or the already excracted directory could not be found at '<em>sZipOrExtractedPath</em> '! </td></tr>
    <tr><td class="paramname">InvalidDataException</td><td>The archive is not a valid zip archive. -or- An archive entry was not found or was corrupt. -or- An archive entry was compressed by using a compression method that is not supported. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="adc7157f68edea533768fed4c96e4a14b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc7157f68edea533768fed4c96e4a14b">&#9670;&nbsp;</a></span>Load()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool OnSive.Netflix.PersonalData.NetflixLegacyParser.Load </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads all data into the properties </p>
<dl class="section return"><dt>Returns</dt><dd>If everything was loaded correctly</dd></dl>

</div>
</div>
<a id="ad25877484f70f9b165f9ca59ef0df3d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad25877484f70f9b165f9ca59ef0df3d7">&#9670;&nbsp;</a></span>LoadAsync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">async Task&lt;bool&gt; OnSive.Netflix.PersonalData.NetflixLegacyParser.LoadAsync </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads all data into the properties </p>
<dl class="section return"><dt>Returns</dt><dd>If everything was loaded correctly</dd></dl>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a1dde667dc79c846f41272894f7eb784c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1dde667dc79c846f41272894f7eb784c">&#9670;&nbsp;</a></span>SocialMediaConnections</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">List&lt;SocialMediaConnectionItem&gt; OnSive.Netflix.PersonalData.NetflixLegacyParser.SocialMediaConnections</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This table includes details of the records we hold regarding the Facebook account to which you may have connected to your <a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a> member account (if applicable, please note that this is a legacy feature). </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>NetflixLegacyParser.cs</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_on_sive.html">OnSive</a></li><li class="navelem"><a class="el" href="namespace_on_sive_1_1_netflix.html">Netflix</a></li><li class="navelem"><a class="el" href="namespace_on_sive_1_1_netflix_1_1_personal_data.html">PersonalData</a></li><li class="navelem"><a class="el" href="class_on_sive_1_1_netflix_1_1_personal_data_1_1_netflix_legacy_parser.html">NetflixLegacyParser</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
